2014-12-19 02:13 EST

View Issue Details Jump to Notes ] Wiki ]
IDProjectCategoryView StatusLast Update
0008538mantisbtbugtrackerpublic2009-06-26 12:01
Reportertinjaw 
Assigned Togiallu 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSlinuxOS Version
Product Version1.1.0rc2 
Target VersionFixed in Version 
Summary0008538: View Issues page isn't fully rendered when Assigned To field is set to [any] (the default)
DescriptionView Issues page isn't fully rendered when Assigned To field is set to [any] (the default). It stops after printing the filters. The source of the HTML page returned confirms this.
Steps To ReproduceUsing an existing Mantis setup, upgrade to a4, rc1, or rc2. Go to the "View Issues" page and it will not fully render. If you select to filter on "Assigned to" with a value other than '[any]', the page will properly render.
Additional InformationThis has been reported by several people, including myself, in the forums. I will attach screenshot and the HTML source.
Tagsblank screen
Attached Files
  • txt file icon view_all_bug_page.php.txt (18,032 bytes) 2007-11-02 10:37 - 
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
    <html>
    <head>
    	<link rel="stylesheet" type="text/css" href="http://test1.chaimgang.com/css/default.css" />
    	<script type="text/javascript" language="JavaScript"><!--
    		if(document.layers) {document.write("<style>td{padding:0px;}<\/style>")}
    	// --></script>
    	<meta http-equiv="Content-type" content="text/html;charset=utf-8" />
    	<meta http-equiv="Pragma" content="no-cache" />
    	<meta http-equiv="Cache-Control" content="no-cache" />
    	<meta http-equiv="Pragma-directive" content="no-cache" />
    	<meta http-equiv="Cache-Directive" content="no-cache" />
    	<meta http-equiv="Expires" content="Fri, 02 Nov 2007 14:21:55 GMT" />
    <link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon" />	<title>View Issues - Mantis</title>
    	<script type="text/javascript" language="JavaScript" src="javascript/common.js"></script>
    	<script type="text/JavaScript" src="javascript/ajax.js"></script>
    	<meta http-equiv="Refresh" content="1800;URL=view_all_bug_page.php?page_number=1" />
    </head>
    <body>
    <div class="center"><span class="pagetitle"></span></div>
    <div align="left"><a href="http://www.mantisbt.org" title="Free Web Based Bug Tracker"><img border="0" width="242" height="102" alt="Mantis Bugtracker" src="images/mantis_logo.gif" /></a></div><table class="hide"><tr><td class="login-info-left">Logged in as: <span class="italic">ckrause</span> <span class="small">(Chaim Krause - administrator)</span></td><td class="login-info-middle"><span class="italic">2007-11-02 07:21 PDT</span></td><td class="login-info-right"><form method="post" name="form_set_project" action="set_project.php">Project: <select name="project_id" class="small" onchange="document.forms.form_set_project.submit();"><option value="0" selected="selected" >All Projects</option>
    <option value="1">Decisive Action</option>
    <option value="2">Defending The Reich</option>
    <option value="4">E-RPG</option>
    <option value="3">Test Project</option>
    <option value="5">The Long War</option>
    </select> <input type="submit" class="button-small" value="Switch" /><a href="http://test1.chaimgang.com/issues_rss.php?username=ckrause&amp;key=25404f13b6ac1fae0c371d2be6dc99ae"><img src="images/rss.gif" alt="RSS" style="border-style: none; margin: 5px; vertical-align: middle;" /></a></form></td></tr></table><table class="width100" cellspacing="0"><tr><td class="menu"><a href="main_page.php">Main</a> | <a href="my_view_page.php">My View</a> | <a href="view_all_bug_page.php">View Issues</a> | <a href="bug_report_page.php">Report Issue</a> | <a href="changelog_page.php">Change Log</a> | <a href="roadmap_page.php">Roadmap</a> | <a href="summary_page.php">Summary</a> | <a href="proj_doc_page.php">Docs</a> | <a href="manage_user_page.php">Manage</a> | <a href="news_menu_page.php">Edit News</a> | <a href="account_page.php">My Account</a> | <a href="logout_page.php">Logout</a></td><td class="menu right nowrap"><form method="post" action="jump_to_bug.php"><input type="text" name="bug_id" size="10" class="small" value="Issue #" onfocus="if (this.value == 'Issue #') this.value = ''" onblur="if (this.value == '') this.value = 'Issue #'" />&nbsp;<input type="submit" class="button-small" value="Jump" />&nbsp;</form></td></tr></table><div align="right"><small>Recently Visited: <a href="view.php?id=178" title="[closed] Second test to test first test de bugification ruling">0000178</a>, 0000177, <a href="view.php?id=176" title="[new] New test bug to test the testy bugger supposed to be debugging">0000176</a>, <a href="view.php?id=173" title="[assigned] Open log management window, resupply local units for free">0000173</a>, <a href="view.php?id=172" title="[closed] Unit footprint grows between RCP 1 and RCP 2">0000172</a></small></div><div id="filter_open">
    		<br />
    		<form method="post" name="filters_open" id="filters_form_open" action="view_all_set.php?f=3">
    		<input type="hidden" name="type" value="1" />
    				<input type="hidden" name="page_number" value="1" />
    		<input type="hidden" name="view_type" value="simple" />
    		<table class="width100" cellspacing="1">
    
    		
    		<tr class="row-category2">
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=reporter_id[]" id="reporter_id_filter">Reporter:</a>
    			</td>
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=user_monitor[]" id="user_monitor_filter">Monitored By:</a>
    			</td>
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=handler_id[]" id="handler_id_filter">Assigned To:</a>
    			</td>
    			<td colspan="2" class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=show_category[]" id="show_category_filter">Category:</a>
    			</td>
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=show_severity[]" id="show_severity_filter">Severity:</a>
    			</td>
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=show_resolution[]" id="show_resolution_filter">Resolution:</a>
    			</td>
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=show_profile[]" id="show_profile_filter">Profile:</a>
    			</td>
    					</tr>
    
    		<tr class="row-1">
    			<td class="small-caption" valign="top" id="reporter_id_filter_target">
    																	<input type="hidden" name="reporter_id[]" value="0" />
    										any			</td>
    			<td class="small-caption" valign="top" id="user_monitor_filter_target">
    																	<input type="hidden" name="user_monitor[]" value="0" />
    										any			</td>
    			<td class="small-caption" valign="top" id="handler_id_filter_target">
    																	<input type="hidden" name="handler_id[]" value="0" />
    										any			</td>
    			<td colspan="2" class="small-caption" valign="top" id="show_category_filter_target">
    																	<input type="hidden" name="show_category[]" value="0" />
    										any			</td>
    			<td class="small-caption" valign="top" id="show_severity_filter_target">
    																	<input type="hidden" name="show_severity[]" value="0" />
    										any			</td>
    			<td class="small-caption" valign="top" id="show_resolution_filter_target">
    																	<input type="hidden" name="show_resolution[]" value="0" />
    										any			</td>
    			<td class="small-caption" valign="top" id="show_profile_filter_target">
    																	<input type="hidden" name="show_profile[]" value="0" />
    										any			</td>
    						</tr>
    
    		<tr class="row-category2">
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=show_status[]" id="show_status_filter">Status:</a>
    			</td>
    			<td class="small-caption" valign="top">
    									<a href="view_filters_page.php?for_screen=1&amp;target_field=hide_status[]" id="hide_status_filter">Hide Status:</a>
    							</td>
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=show_build[]" id="show_build_filter">Product Build:</a>
    			</td>
    						<td colspan="2" class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=show_version[]" id="show_version_filter">Product Version:</a>
    			</td>
    			<td colspan="1" class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=fixed_in_version[]" id="show_fixed_in_version_filter">Fixed in Version:</a>
    			</td>
    						<td colspan="1" class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=show_priority[]" id="show_priority_filter">Priority:</a>
    			</td>
    			<td colspan="1" class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=target_version[]" id="show_target_version_filter">Target Version:</a>
    			</td>
    					</tr>
    
    		<tr class="row-1">
    			<td class="small-caption" valign="top" id="show_status_filter_target">
    																	<input type="hidden" name="show_status[]" value="0" />
    										any			</td>
    			<td class="small-caption" valign="top" id="hide_status_filter_target">
    																		<input type="hidden" name="hide_status[]" value="90" />
    											closed (And Above)			</td>
    			<td class="small-caption" valign="top" id="show_build_filter_target">
    																	<input type="hidden" name="show_build[]" value="0" />
    										any			</td>
    						<td colspan="2" class="small-caption" valign="top" id="show_version_filter_target">
    																	<input type="hidden" name="show_version[]" value="0" />
    										any			</td>
    			<td colspan="1" class="small-caption" valign="top" id="show_fixed_in_version_filter_target">
    																	<input type="hidden" name="fixed_in_version[]" value="0" />
    										any			</td>
    						<td colspan="1" class="small-caption" valign="top" id="show_priority_filter_target">
                  										<input type="hidden" name="show_priority[]" value="0" />
    										any	    	</td>
    			<td colspan="1" class="small-caption" valign="top" id="show_target_version_filter_target">
    																	<input type="hidden" name="target_version[]" value="0" />
    										any			</td>
    			
    		</tr>
    
    		<tr class="row-category2">
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=per_page" id="per_page_filter">Show:</a>
    			</td>
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=view_state" id="view_state_filter">View Status:</a>
    			</td>
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=sticky_issues" id="sticky_issues_filter">Show Sticky Issues:</a>
    			</td>
    			<td class="small-caption" valign="top" colspan="2">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=highlight_changed" id="highlight_changed_filter">Changed(hrs):</a>
    			</td>
    			<td class="small-caption" valign="top" >
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=do_filter_by_date" id="do_filter_by_date_filter">Use Date Filters:</a>
    			</td>
    			<td class="small-caption" valign="top" colspan="2">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=relationship_type" id="relationship_type_filter">Relationships:</a>
    			</td>
    					</tr>
    		<tr class="row-1">
    			<td class="small-caption" valign="top" id="per_page_filter_target">
    				50				<input type="hidden" name="per_page" value="50" />
    			</td>
    			<td class="small-caption" valign="top" id="view_state_filter_target">
    				any				<input type="hidden" name="view_state" value="0" />
    			</td>
    			<td class="small-caption" valign="top" id="sticky_issues_filter_target">
    				Yes				<input type="hidden" name="sticky_issues" value="on" />
    			</td>
    			<td class="small-caption" valign="top" colspan="2" id="highlight_changed_filter_target">
    				6				<input type="hidden" name="highlight_changed" value="6" />
    			</td>
    			<td class="small-caption" valign="top"  id="do_filter_by_date_filter_target">
    									<script type="text/javascript" language="JavaScript">
    		<!--
    			function SwitchDateFields() {
    		    	// All fields need to be enabled to go back to the script
    				document.filters_open.start_month.disabled = ! document.filters_open.do_filter_by_date.checked;
    				document.filters_open.start_day.disabled = ! document.filters_open.do_filter_by_date.checked;
    				document.filters_open.start_year.disabled = ! document.filters_open.do_filter_by_date.checked;
    				document.filters_open.end_month.disabled = ! document.filters_open.do_filter_by_date.checked;
    				document.filters_open.end_day.disabled = ! document.filters_open.do_filter_by_date.checked;
    				document.filters_open.end_year.disabled = ! document.filters_open.do_filter_by_date.checked;
    
    		   		return true;
    			}
    		// -->
    		</script>
    							No			</td>
    
    			<td class="small-caption" valign="top" colspan="2" id="relationship_type_filter_target">
    							<input type="hidden" name="relationship_type" value="-1" />
    							<input type="hidden" name="relationship_bug" value="0" />
    							any			</td>
    					</tr>
    		<tr class="row-category2">
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=platform" id="platform_filter">Platform:</a>
    			</td>
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=os" id="os_filter">OS:</a>
    			</td>
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=os_build" id="os_build_filter">OS Version:</a>
    			</td>
    			<td class="small-caption" valign="top" colspan="5">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=tag_string" id="tag_string_filter">Tags:</a>
    			</td>
    					</tr>
    		<tr class="row-1">
    			<td class="small-caption" valign="top" id="platform_filter_target">
    								<input type="hidden" name="platform[]" value="0" />
    				any			</td>
    			<td class="small-caption" valign="top" id="os_filter_target">
    								<input type="hidden" name="os[]" value="0" />
    				any			</td>
    			<td class="small-caption" valign="top" id="os_build_filter_target">
    								<input type="hidden" name="os_build[]" value="0" />
    				any			</td>
    			<td class="small-caption" valign="top" id="tag_string_filter_target" colspan="5">
    								<input type="hidden" name="tag_string" value=""/>
    			</td>
    		</tr>
    		<tr class="row-category2"><td class="small-caption" valign="top"> <a href="view_filters_page.php?for_screen=1&amp;target_field=custom_field_2[]" id="custom_field_2_filter">Contract_Task_ID</a> </td> <td class="small-caption" valign="top"> <a href="view_filters_page.php?for_screen=1&amp;target_field=custom_field_1[]" id="custom_field_1_filter">e-rpgtest</a> </td> <td colspan="6">&nbsp;</td> </tr>
    <tr class="row-1"><td class="small-caption" valign="top" id="custom_field_2_filter_target"> <input type="hidden" name="custom_field_2[]" value="0" />any </td><td class="small-caption" valign="top" id="custom_field_1_filter_target"> <input type="hidden" name="custom_field_1[]" value="0" />any </td><td colspan="6">&nbsp;</td> </tr>
    		<tr class="row-1">
    			<td class="small-caption" valign="top">
    				<a href="view_filters_page.php?for_screen=1&amp;target_field=show_sort" id="show_sort_filter">Sort by:</a>
    			</td>
    			<td class="small-caption" valign="top" colspan="2" id="show_sort_filter_target">
    				Last Update Descending<input type="hidden" name="sort_0" value="last_updated" /><input type="hidden" name="dir_0" value="DESC" />			</td>
    			<td class="small-caption" valign="top" colspan="6">&nbsp;</td>		</tr>
    				<tr>
    			<td colspan="2">
    				<a href="" onclick="ToggleDiv( 'filter', g_div_filter ); return false;"
    			><img border="0" src="images/minus.png" alt="-" /></a>&nbsp;Search:
    				<input type="text" size="16" name="search" value="" />
    
    				<input type="submit" name="filter" class="button-small" value="Apply Filter" />
    			</td>
    			</form>
    			<td class="center" colspan="2"> <!-- use this label for padding -->
    				<span class="bracket-link">[&nbsp;<a href="view_all_set.php?type=6&amp;view_type=advanced">Advanced Filters</a>&nbsp;]</span> <span class="bracket-link">[&nbsp;<a href="permalink_page.php?url=http%3A%2F%2Ftest1.chaimgang.com%2Fsearch.php%3Fproject_id%3D0%26amp%3Bsticky_issues%3Don%26amp%3Bsortby%3Dlast_updated%26amp%3Bdir%3DDESC%26amp%3Bhide_status_id%3D90" target="_blank">Create Permalink</a>&nbsp;]</span> 			</td>
    			<td class="right" colspan="4">
    								<form method="get" name="reset_query" action="view_all_set.php">
    					<input type="hidden" name="type" value="3" />
    					<input type="hidden" name="source_query_id" value="-1" />
    					<input type="submit" name="reset_query_button" class="button-small" value="Reset Filter" />
    					</form>
    									<form method="post" name="save_query" action="query_store_page.php">
    					<input type="submit" name="save_query_button" class="button-small" value="Save Current Filter" />
    					</form>
    						</td>
    		</tr>
    		</table>
    </div><div id="filter_closed" style="display: none;">
    		<br />
    		<form method="post" name="filters_closed" id="filters_form_closed" action="view_all_set.php?f=3">
    		<input type="hidden" name="type" value="1" />
    				<input type="hidden" name="page_number" value="1" />
    		<input type="hidden" name="view_type" value="simple" />
    		<table class="width100" cellspacing="1">
    
    				<tr>
    			<td colspan="2">
    				<a href="" onclick="ToggleDiv( 'filter', g_div_filter ); return false;"
    			><img border="0" src="images/plus.png" alt="+" /></a>&nbsp;Search:
    				<input type="text" size="16" name="search" value="" />
    
    				<input type="submit" name="filter" class="button-small" value="Apply Filter" />
    			</td>
    			</form>
    			<td class="center" colspan="2"> <!-- use this label for padding -->
    				<span class="bracket-link">[&nbsp;<a href="view_all_set.php?type=6&amp;view_type=advanced">Advanced Filters</a>&nbsp;]</span> <span class="bracket-link">[&nbsp;<a href="permalink_page.php?url=http%3A%2F%2Ftest1.chaimgang.com%2Fsearch.php%3Fproject_id%3D0%26amp%3Bsticky_issues%3Don%26amp%3Bsortby%3Dlast_updated%26amp%3Bdir%3DDESC%26amp%3Bhide_status_id%3D90" target="_blank">Create Permalink</a>&nbsp;]</span> 			</td>
    			<td class="right" colspan="4">
    								<form method="get" name="reset_query" action="view_all_set.php">
    					<input type="hidden" name="type" value="3" />
    					<input type="hidden" name="source_query_id" value="-1" />
    					<input type="submit" name="reset_query_button" class="button-small" value="Reset Filter" />
    					</form>
    									<form method="post" name="save_query" action="query_store_page.php">
    					<input type="submit" name="save_query_button" class="button-small" value="Save Current Filter" />
    					</form>
    						</td>
    		</tr>
    		</table>
    </div><script type="text/javascript" language="JavaScript"><!--
    	SetDiv( "filter", g_div_filter );
    --></script>
    txt file icon view_all_bug_page.php.txt (18,032 bytes) 2007-11-02 10:37 + 
  • png file icon View Issues - Mantis_1194013342375.png (51,699 bytes) 2007-11-02 10:38 - 
    png file icon View Issues - Mantis_1194013342375.png (51,699 bytes) 2007-11-02 10:38 + 
  • htm file icon NOJS_IE7.htm (16,335 bytes) 2007-11-05 18:29
  • htm file icon NOJS_FF.htm (16,335 bytes) 2007-11-05 18:29
  • gif file icon ie7.gif (24,100 bytes) 2007-11-05 18:29 - 
    gif file icon ie7.gif (24,100 bytes) 2007-11-05 18:29 + 
  • gif file icon firefox.gif (15,667 bytes) 2007-11-05 18:29 - 
    gif file icon firefox.gif (15,667 bytes) 2007-11-05 18:29 + 
  • gif file icon view_all-not_view_all.gif (33,223 bytes) 2008-02-24 16:42 - 
    gif file icon view_all-not_view_all.gif (33,223 bytes) 2008-02-24 16:42 + 
  • xls file icon apache.log.xls (82,944 bytes) 2008-02-25 06:30
  • xls file icon full-apache-log.xls (126,976 bytes) 2008-02-25 08:25
  • zip file icon Server variables and settings.zip (248,239 bytes) 2008-03-11 20:02
  • gz file icon mantis_segfault_strace_eb000043.txt.gz (11,737 bytes) 2008-04-01 17:19

- Relationships
related to 0009997closedgrangeway Add check for Zend Optimizer version 
has duplicate 0008921closedgiallu Also in 1.1.1 - View Issues page isn't fully rendered when Assigned To field is set to [any] (the default) 
has duplicate 0008579closedgiallu Empty List when viewing "Assigned to [any]" 
has duplicate 0009990closedgiallu "Assigned to" filter breaks when set to "any" 
related to 0008700closedgiallu Blank pages on most view bug pages (not with anonymous logging) 
related to 0008615closedgrangeway View Issues Page Returns Internal Server Error under PHP5 
+ Relationships

-  Notes
User avatar

~0016092

Frescard (reporter)

Last edited: 2007-11-05 18:36

When Javascript is disabled in the config_defaults_inc.php file the result is slightly different.
IE7 and Firefox both show the first (incomplete) bug line, and then abort on the second line, with IE stopping on an incomplete image tag, and FF getting a bit further, but still not rendering the whole line (or anything after that).
(See attached images and HTML code.)

No errors are displayed, even though $g_show_detailed_errors and $g_stop_on_errors are ON, and all $g_display_errors are set to 'halt'.

User avatar

~0016093

CADbloke (reporter)

Last edited: 2007-11-08 06:02

I see this too. I also get missing bugs when the bug status is 'confirmed' but it is assigned to me. As already stated, the page is not finishing rendering.

[edit] - I looked at the source for my half-rendered page. The last line (line 348 on my page) in the html was 2287 characters long, representing the entire (well, nearly 3 lines) bugs table . The same page on this site has plenty of line breaks for this table, and continues on.

the lines just before the long line look normal ...
<tr class="spacer">
    <td colspan="10"></td>
</tr>

hope this helps

User avatar

~0016202

user0815 (reporter)

has duplicate 0008579
User avatar

~0016221

CADbloke (reporter)

I'm getting this and I'm running PHP 5.2.4 on a shared server. Could this be a PHP 4/5 compatibility issue?

Also running MySQL 5.0.45, if that's any help.
User avatar

~0016223

user0815 (reporter)

# PHP: 5.2.3 (apache)
# MySQL: 4.1.22-max-log

on a on a shared server where php 4 and mysql 5 are available as well
User avatar

~0016224

giallu (developer)

Is anyone with this problem able to find some error messages in the apache log?
User avatar

~0016226

CADbloke (reporter)

No access to Apache log (shared server) BUT - page does render ok in PHP4. I can change the default PHP interpreter via the .htaccess file. changing it to PHP5.2.4 makes the page stop rendering. It seems to render fine, or at least finishes rendering, in PHP 4.4.7. Looks like there is broken backwards compatibility in PHP5 (we know that) that is crashing the code on that page. That Clunk you just heard is the limit of my knowledge on PHP. Educated onlookers, feel free to step in...


FYI - my host is deprecating PHP4 and changing their default to PHP 5, as per their following announcement, so falling back to PHP4 is not a viable solution.

System updates; General;
July 26th, 2007 | IMPORTANT: PHP4 End-Of-Life announced.
The development team of PHP announced the End-Of-Life of PHP 4. There will be no more releases of PHP 4.4 after Dec 31, 2007. Critical security fixes will still be released on a case-by-case basis until August 08, 2008.

ICDSoft will continue supporting PHP 4 until possible, but we urge our customers to look for ways to make their PHP applications suitable to run on PHP 5. After the end of 2007, we may be forced to discontinue any support for PHP 4, in case of a discovered security vulnerability which may endanger the integrity of our hosting environment.
User avatar

~0016228

giallu (developer)

Well. Mantis will probably be php5 only starting from 1.2

http://www.mantisbt.org/blog/?p=15 [^]

But we need to fix 1.1 to work with php5
User avatar

~0016229

user0815 (reporter)

Last edited: 2007-11-16 07:39

actually yes.. without manual error handler and only when accessing view_all_bug_page.php with [any], I get one of these:

[Fri Nov 16 13:20:49 2007] [notice] child pid 6446 exit signal Segmentation fault (11)
[Fri Nov 16 13:21:31 2007] [notice] child pid 4696 exit signal Segmentation fault (11)

doesn't help much though, does it?

User avatar

~0016231

seiji (reporter)

Last edited: 2007-11-16 08:38

No problem on my server. (apache 2.0.59/ PHP 5.2.5-pl0-gentoo)

User avatar

~0016241

Frescard (reporter)

I do have the problem, and my host is running MySQL 4.1.8a-Debian_1
User avatar

~0016309

Frescard (reporter)

Last edited: 2007-11-28 12:24

Still happens with RC3.

I've been able to track it down somewhat, and at least on my system, it seems to get stuck in one of the user_api functions. Something weird is happening with the $row variable (sometimes is contains values, even though it isn't initialized, and at other times it's empty when it *should* contain stuff), and this causes some functions to just drop dead (db_fetch_array might be the end-point, but that's more a *symptom* than the *cause*).
That's as much as I could figure out in my limited time. Perhaps it'll help someone else to track it down.

To just *avoid* the whole issue altogether, try turning off the $g_show_assigned_names flag in config_defaults_inc.php. (This determines whether the assigned persons name will show up in the Status column. Something I can live fine without...)

Also - could somebody please change the severity of this bug to "Crash"?
After all that's what's happening. It just crashes so hard that it can't even return an error message.

User avatar

~0016330

seiji (reporter)

This maybe happen when memory_limit(php.ini) is too small.
User avatar

~0016332

Frescard (reporter)

Last edited: 2007-11-29 20:33

Yeah, some memory corruption would definitely make sense in the kind of behavior I've seen.
Unfortunately I'm on a shared server, so have no way of editing that value.
Is there a way to read this parameter via a script (to help pin down the issue a bit)?

P.S. I did find out my memory_limit, and it's set to 256MB...

User avatar

~0016333

CADbloke (reporter)

Possible but not likely. The page renders ok in PHP 4 on my (shared) server. My PHP memory limit is 80MB.
User avatar

~0016339

tinjaw (reporter)

I am seeing this problem on boxes with 90MB+ PHP memory limits.
User avatar

~0016340

tinjaw (reporter)

>>Is anyone with this problem able to find
>>some error messages in the apache log?

I am unable to find anything in the error logs about this problem.
User avatar

~0016381

david_s_nl (reporter)

FYI:

I had the same problem, using an old 'wamp' installation on windows XP:
- Mantis 1.1.0rc3
- MySql 4.1.10
- PHP 5.0.4


Deinstalled the above, then installed WampServer2.0a.exe, and problem was solved..:
- Mantis 1.1.0rc3
- MySql 5.0.45
- PHP 5.2.5
User avatar

~0016382

CADbloke (reporter)

Running RC2 with PHP 5.2.5 & MySQL 5.0.45. Still have same issue. Have not tried re-install but this may not be a practical option for those with working installations anyway (mine is still a tester). I will try re-install when I get time (just moved house).

It seems that the HTML for actual table of bugs is being rendered without any HTML-tidy like formatting, all in the last line of 2353 characters.
User avatar

~0016387

grangeway (reporter)

user0815 - are you able to get a gdb stacktrace for that so we can see why php might be crashing? ;/

Paul
User avatar

~0016398

user0815 (reporter)

As I'm on a shared server, this might not be possible. Or is there a way?

[Fri Dec 7 15:28:45 2007] [notice] child pid 7892 exit signal Segmentation fault (11)

Still getting these..
User avatar

~0016399

Frescard (reporter)

Has anybody tried disabling the $g_show_assigned_names option (as described in note 0016309 above)? Did it make any difference?
User avatar

~0016401

user0815 (reporter)

> Has anybody tried disabling the $g_show_assigned_names
> option (as described in note 0016309 above)? Did it make
> any difference?

Just tried it. Yes, it makes a difference. When disabled, everything works just fine.
User avatar

~0016407

grangeway (reporter)

Do get this against php 5.2.5 ?
User avatar

~0016447

user0815 (reporter)

Me? As described I'm on a PHP 5.2.3 (apache), MySQL 4.1.22-max-log Shared Server.
User avatar

~0016503

turker (reporter)

Last edited: 2007-12-24 14:46

# shared server
# PHP version: 4.4.7
# MySQL version: 4.1.21-standard
# Mantis: 1.1.0 stable

I had the same problem and added this line below in config_inc.php and it worked:

$g_show_assigned_names = OFF;

Thank you for this software. nospam*turker_ozt@yahoo.nospam*com

User avatar

~0016534

altum (reporter)

Last edited: 2008-01-03 05:01

I have exactly the same problem and want to see the assigned names.
However, I noticed that sometimes the list is partially rendered. For example, if I set the to anything except "assigned" or "closed", it works fine, even with "assigned to" set to "any". If I choose one of these two values for "status", the page stops after rendering the filter (so no partial list this time).

So the problem is either a combination between the assigned to name and the status in the filter, or crashes on a particular value within the bugs when they have one of these two statuses.

Another workaround
==================
If you have not too many users, you can workaround by choosing "advanced filters" and then multi-select all the users in the "assigned to"-field.

Afterwards, apply the filter and then switch back to simple filters if you'd like.

User avatar

~0016551

vjacobs (reporter)

Last edited: 2008-01-07 07:38

# shared server
# PHP version: 4.4.7
# MySQL version: 4.1.14
# Mantis: 1.1.0 stable

Had the same problem, was resolved by adding

$g_show_assigned_names = OFF;

to config_inc.php

Also experiencing issue 0008537, which appears to be similar behavior.

User avatar

~0017098

user0815 (reporter)

After some provider updates (e.g. Apache 5.2.5) it now works, even without the mentioned workaround.
User avatar

~0017100

CADbloke (reporter)

Shared Server (Apache)
PHP 5.2.5
Zend Optimiser 3.2.2 <--- could the problem be here?
My SQL 5.0.45
Mantis 1.1.0rc2
PHP RAM = 80 MB

$g_show_assigned_names = OFF; workaround worked for me. Page source looks fine.

Thank you to the developers for this software - it is the best of its kind.
User avatar

~0017175

mahindra (reporter)

Last edited: 2008-02-24 15:26

# shared Unix server with php5 and php4
# PHP version: 5.2.5
# MySQL version: 5.0.51
# Mantis: 1.1.1 stable

We also have this problem in the "View Issues" page. The workaraound with "$g_show_assigned_names = OFF" above works, but wee strongly need the "assigned to" names in the page.

It seems that it has something do do with the lang-files, because the site renders some more lines (but still no tickets to see), if I change the language from german to english.

Enclosed to this memo I give you a link to a database-sql (import it as latin1) so you can repoduce the issue (18k) - only one User "Admin" with password "admin".

http://members.inode.at/k.eske/ANNONYM_TEST.zip [^]

It would be nice if there will soon be a patch to solve this.

Many thanks,

Karl

User avatar

~0017194

mahindra (reporter)

Last edited: 2008-02-25 08:31

I've added a log-File (all that we have) in Excel-format, so you can sort by error-code (using excel-Autofilter-function). => http://www.mantisbt.org/bugs/file_download.php?file_id=1707&type=bug [^]

added full-logfile for 24.2.2008 (mantisTEST is v 1.1.1 with the problem in view all):
http://www.mantisbt.org/bugs/file_download.php?file_id=1709&type=bug [^]

User avatar

~0017266

mahindra (reporter)

Could you tell us the status of this ID please giallu?

Bevore some weeks I added all information what you wanted and it seems that this ID is presumed dead.

We will update to 1.1.1 but we can not and our provider could not help us, because it is a bug in mantis-filters in connection with our server configuration (yes I see that this is running on your server).
User avatar

~0017277

giallu (developer)

@mahindra

The problem is that I can't reproduce the problem here and additionally it's not even clear what all these "mee too" installations have in common.

Is there anyone that can provide me with a shell account to a machine where this is happening?
User avatar

~0017278

mahindra (reporter)

I am only able to give you an account to our mantis test enviroment, where we set up new versions of mantis bevore we put them into production.

http://www.ebv4all.at/mantisTEST/ [^] is running on v.1.1.1 and there are some tickets.

So you are able to play around and you will be able to see the bug.

Password and user are giallu

Please tell me if that has helped you, because I must terminate the accound after some time.
User avatar

~0017280

giallu (developer)

It exhibits the problem "live", but it does not help any further. Do you happen to have a shell account for the server where that is running ?

With "shell account" I mean something accessible with ssh
User avatar

~0017282

mahindra (reporter)

I have a shell account but I am not allowed to give you the ID and password, because it's a shared server and we have our production systems running on it.

Unfortunately its not possible to create a second accound and I am not fit in using the shell.

Could you tell me what I should do?

If you would be in austria this will not be a problem to do this together.
User avatar

~0017317

mahindra (reporter)

Dear giallu,

in reconciliation with our IT-manager we made an update to mantis 1.1.1 with using the workaround "$g_show_assigned_names=off" to use the new features.

But we ran in many problems with v.1.1.1, which are described in the IDs 0008537 and 0008727.
As this was not enough, we encountered problems to view IDs with many notes and/or releationships.
Some Ids could not be opened and reportet an Server error:

"Error : [No Error]
Code : ERR_ZERO_SIZE_OBJECT
URL :
Server: squid/2.5.STABLE12"

So we had to make a rollback to v 1.08 and erverything is running very well.

I don't know how I should solve that bug and in my opinion this bug is not in the filters, it's in the rendering modul by using a shared server.

I made some screenshots from the server variables and settings http://www.mantisbt.org/bugs/file_download.php?file_id=1730&type=bug [^] maybe this will help you to find the cause.

Yours,
mahindra
User avatar

~0017387

giallu (developer)

The only thing that would _really_ help is having a backtrace of the function calls when the problem happens.

This should be possible with the xdebug php extension, see the presentations at

http://talks.php.net/index.php/Debugging [^]

for more details
User avatar

~0017421

mahindra (reporter)

Last edited: 2008-03-20 06:46

Dear giallu,

thank you for the hint with Xdebug. I was not able to install this on our shared host by http://www.inode.at [^] , so I asked our provider if they could debug this for me.
Inode answered that the host is a production host and so they have no debugging tools running but inode was so kind to send me the errorlogs to the following errors:

"wir haben uns die Logs angesehen und entweder kamen wir auf einen
* Serverfehler (302) oder es hat funktioniert (200)."

They found in the logs an error 302 and a OK-message 200:

Error one - Tickets are not opening:


Im Browser (mit live http headers) sieht man bei dem Test mit der Nummer 8 folgendes:

GET /mantisTEST/view.php?id=8 HTTP/1.1

Host: www.ebv4all.at

User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5pre) Gecko/2008031704 Minefield/3.0b5pre

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: en-us,en;q=0.5
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 300
Connection: keep-alive


Error 2 - View Issues page isn't fully rendered when Assigned To field is set to [any] (the default):


Referer: http://www.ebv4all.at/mantisTEST/view_all_bug_page.php?page_number=1 [^]
Cookie:
MANTIS_BUG_LIST_COOKIE=167%2C144%2C70%2C130%2C153%2C147%2C146%2C137%2C145%2C132%2C58%2C140%2C143%2C7
8%2C121%2C135%2C134%2C45%2C129%2C128%2C127%2C126%2C125%2C124%2C123%2C122%2C117%2C116%2C115%2C114%2C1
13%2C112%2C111%2C110%2C109%2C108%2C99%2C98%2C81%2C77%2C76%2C75%2C73%2C66%2C131%2C28%2C31%2C69%2C71%2
C68;
MANTIS_VIEW_ALL_COOKIE=173; MANTIS_PROJECT_COOKIE=1; MANTIS_STRING_COOKIE=3bfeb1149dbfb06fb87048a3dd996786692202042109012f5caf7efa3e4777cd
HTTP/1.x 502 Bad Gateway

Server: Inode Webhosting
Mime-Version: 1.0
Date: Wed, 19 Mar 2008 13:21:21 GMT
Content-Type: text/html
Content-Length: 2366
Expires: Wed, 19 Mar 2008 13:21:21 GMT
X-Squid-Error: ERR_ZERO_SIZE_OBJECT 0
Connection: keep-alive

"Anscheinend gibt das Script nichts zurück. Dass die Seite nicht fertiggeladen wird, scheint deshalb zu sein, weil das Script abzubrechen scheint. Wieso das so ist können wir auch nicht feststellen."

It sems so that the script is delivering nothing. The page is not be loaded complete, because the script is breaking off. The cause of this inode could not find out.

Yours,
mahindra

User avatar

~0017515

mahindra (reporter)

Last edited: 2008-03-31 16:59

Dear giallu,

our provider inode gave us a link to the php-configuration - please have a look on it: http://eb000043.host.inode.at/phpinfo.php [^] and tell me if this is helping you.

It seems so that mantis 1.1.1. uses a statement that makes troubles with load-balancers, so we get the
"Error : [No Error]
Code : ERR_ZERO_SIZE_OBJECT
URL :
Server: squid/2.5.STABLE12"

error.

Inode said that this will be able to locate with the link above.

Yours,
mahindra

User avatar

~0017520

giallu (developer)

Caching _could_ be an issue, but looking at the phpinfo I note you are running the Zend Optimizer, which created some problems in the past to other projects (IIRC dokuwiki).

Can you try to disable it temporarily and repeat the test?

thank you
User avatar

~0017530

mahindra (reporter)

Last edited: 2008-04-01 17:38

Dear giallu,

I asked inode about your wish to disable Zend Optimizer and they told us that this is not possible, because other customers are using Zend Guard scripts.

Inode has made a segfaults-strace http://www.mantisbt.org/bugs/file_download.php?file_id=1760&type=bug [^] - please have a look on it and tell me if you are able to find something out.
Inode supposes that there is an endless-loop bevore the segfault, because manis 1.1.1 is running the same sql-query in several times.
If this is the reason, it will be possible that Zend Optimizer could be the cause.

Additional I have made an install of our test-instance on a Server from a friend with Zend optimizer and without caching and everything is running. Unfortunately we could not move our production to this server.

I'm waiting for your reply.

Thank you very much,
mahindra

User avatar

~0017531

altum (reporter)

This is what I can find in my phpinfo concerning the zend-optimizer.

This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.2.0, Copyright (c) 1998-2007 Zend Technologies
    with eAccelerator v0.9.5.1, Copyright (c) 2004-2006 eAccelerator, by eAccelerator
    with the ionCube PHP Loader v3.1.24, Copyright (c) 2002-2006, by ionCube Ltd., and
    with Zend Optimizer v3.2.2, Copyright (c) 1998-2006, by Zend Technologies


Zend Optimizer
Optimization Pass 1 disabled
Optimization Pass 2 enabled
Optimization Pass 3 enabled
Optimization Pass 4 enabled
Optimization Pass 9 disabled
Zend Loader enabled
License Path no value
Obfuscation level 3

The only way I can change php-settings is via a .htaccess file. If you can give me the code I have to put in there to disable the zend-optimizer, I will test it for you and see if that solves the problem...
User avatar

~0017532

giallu (developer)

I think you can try with:

php_flag eaccelerator.enable 0
php_flag eaccelerator.optimizer.enable 0


See also what seems to be the very same problem with drupal:
http://drupal.org/node/126098 [^]
User avatar

~0017534

altum (reporter)

Gially, I tested it with these values:
php_flag eaccelerator.enable 0
php_flag eaccelerator.optimizer.enable 0
php_flag eaccelerator.optimizer 0
php_flag eaccelerator.compress 0

but the problem is still not solved. You can take a look at my phpinfo on this location:

http://bugs.altum.be/phpinfo.php [^]

I will delete this file soon, so please take a look asap.
User avatar

~0017602

mahindra (reporter)

Dear giallu,

our provider inode has made an update to Zend Optimizer v. 3.3.3 and everything is running very well. :))))))

Thank you for your support!

Yours,
mahindra
User avatar

~0017701

funvill (reporter)

I had the same problem on a dreamhost.com server (Linux dinar 2.4.29)
- Mantis 1.1.1
- MySql 5.0.16
- PHP 5.2.3

I found a work around for this issue by downgrading to php4
I created a .htaccess file with this one line
 AddHandler application/x-httpd-php .php

and placed it in the base install directory.
User avatar

~0020470

giallu (developer)

So, given comment 0008538:0017602 I'm leaning toward closing this as "no change required" but...

Maybe it could be smarter to add a check for this known issue on check.php?
User avatar

~0020472

mahindra (reporter)

Dear giallu,

I think you can close this ID, too.
A check about this "enviroment-issue" on check.php will be excellent, because new users will not have to search für this.

Yours,
mahindra
User avatar

~0020473

giallu (developer)

Ok, we will track the change on 0009997.
+  Notes

- Issue History
Date Modified Username Field Change
2007-11-02 10:37 tinjaw New Issue
2007-11-02 10:37 tinjaw File Added: view_all_bug_page.php.txt
2007-11-02 10:38 tinjaw File Added: View Issues - Mantis_1194013342375.png
2007-11-05 18:29 Frescard File Added: NOJS_IE7.htm
2007-11-05 18:29 Frescard File Added: NOJS_FF.htm
2007-11-05 18:29 Frescard File Added: ie7.gif
2007-11-05 18:29 Frescard File Added: firefox.gif
2007-11-05 18:35 Frescard Note Added: 0016092
2007-11-05 18:36 Frescard Note Edited: 0016092
2007-11-06 00:56 CADbloke Note Added: 0016093
2007-11-08 06:02 CADbloke Note Edited: 0016093
2007-11-14 16:31 user0815 Note Added: 0016202
2007-11-16 03:57 CADbloke Note Added: 0016221
2007-11-16 05:17 user0815 Note Added: 0016223
2007-11-16 05:47 giallu Note Added: 0016224
2007-11-16 06:11 CADbloke Note Added: 0016226
2007-11-16 06:58 giallu Note Added: 0016228
2007-11-16 07:23 user0815 Note Added: 0016229
2007-11-16 07:24 user0815 Note Edited: 0016229
2007-11-16 07:25 user0815 Note Edited: 0016229
2007-11-16 07:27 user0815 Note Edited: 0016229
2007-11-16 07:39 user0815 Note Edited: 0016229
2007-11-16 08:28 seiji Note Added: 0016231
2007-11-16 08:38 seiji Note Edited: 0016231
2007-11-16 12:49 Frescard Note Added: 0016241
2007-11-27 22:28 Frescard Note Added: 0016309
2007-11-28 12:24 Frescard Note Edited: 0016309
2007-11-29 14:20 seiji Note Added: 0016330
2007-11-29 15:01 Frescard Note Added: 0016332
2007-11-29 15:10 CADbloke Note Added: 0016333
2007-11-29 20:33 Frescard Note Edited: 0016332
2007-11-30 07:27 tinjaw Note Added: 0016339
2007-11-30 07:29 tinjaw Note Added: 0016340
2007-12-05 15:57 david_s_nl Note Added: 0016381
2007-12-05 16:22 CADbloke Note Added: 0016382
2007-12-06 14:34 grangeway Note Added: 0016387
2007-12-07 09:30 user0815 Note Added: 0016398
2007-12-07 11:38 Frescard Note Added: 0016399
2007-12-07 12:09 user0815 Note Added: 0016401
2007-12-08 19:49 grangeway Note Added: 0016407
2007-12-16 05:03 user0815 Note Added: 0016447
2007-12-24 14:39 turker Note Added: 0016503
2007-12-24 14:43 turker Note Edited: 0016503
2007-12-24 14:46 turker Note Edited: 0016503
2008-01-02 10:46 giallu Relationship added related to 0008700
2008-01-02 10:47 giallu Relationship added related to 0008615
2008-01-03 05:00 altum Note Added: 0016534
2008-01-03 05:01 altum Note Edited: 0016534
2008-01-04 10:38 vjacobs Note Added: 0016551
2008-01-07 07:38 vjacobs Note Edited: 0016551
2008-02-18 10:49 user0815 Note Added: 0017098
2008-02-18 15:23 CADbloke Note Added: 0017100
2008-02-24 15:04 mahindra Note Added: 0017175
2008-02-24 15:22 mahindra Note Edited: 0017175
2008-02-24 15:25 mahindra Note Edited: 0017175
2008-02-24 15:26 mahindra Note Edited: 0017175
2008-02-24 16:42 mahindra File Added: view_all-not_view_all.gif
2008-02-24 18:04 giallu Relationship added has duplicate 0008921
2008-02-25 06:30 mahindra File Added: apache.log.xls
2008-02-25 06:32 mahindra Note Added: 0017194
2008-02-25 06:33 mahindra Note Edited: 0017194
2008-02-25 08:25 mahindra File Added: full-apache-log.xls
2008-02-25 08:26 mahindra Note Edited: 0017194
2008-02-25 08:31 mahindra Note Edited: 0017194
2008-03-06 01:55 mahindra Note Added: 0017266
2008-03-06 01:55 mahindra Tag Attached: blank screen
2008-03-06 19:05 giallu Note Added: 0017277
2008-03-07 01:27 mahindra Note Added: 0017278
2008-03-07 03:47 giallu Note Added: 0017280
2008-03-07 04:54 mahindra Note Added: 0017282
2008-03-11 20:02 mahindra File Added: Server variables and settings.zip
2008-03-11 20:09 mahindra Note Added: 0017317
2008-03-17 07:21 giallu Note Added: 0017387
2008-03-20 06:41 mahindra Note Added: 0017421
2008-03-20 06:42 mahindra Note Edited: 0017421
2008-03-20 06:46 mahindra Note Edited: 0017421
2008-03-31 16:58 mahindra Note Added: 0017515
2008-03-31 16:59 mahindra Note Edited: 0017515
2008-04-01 06:17 giallu Note Added: 0017520
2008-04-01 17:19 mahindra File Added: mantis_segfault_strace_eb000043.txt.gz
2008-04-01 17:33 mahindra Note Added: 0017530
2008-04-01 17:38 mahindra Note Edited: 0017530
2008-04-02 01:37 altum Note Added: 0017531
2008-04-02 04:37 giallu Note Added: 0017532
2008-04-02 04:57 altum Note Added: 0017534
2008-04-15 08:42 mahindra Note Added: 0017602
2008-04-22 06:20 giallu Relationship added has duplicate 0008579
2008-04-25 14:54 funvill Note Added: 0017701
2008-12-23 03:19 giallu Relationship added has duplicate 0009990
2008-12-23 03:21 giallu Note Added: 0020470
2008-12-23 05:03 mahindra Note Added: 0020472
2008-12-23 05:20 giallu Relationship added related to 0009997
2008-12-23 05:22 giallu Note Added: 0020473
2008-12-23 05:22 giallu Status new => resolved
2008-12-23 05:22 giallu Resolution open => no change required
2008-12-23 05:22 giallu Assigned To => giallu
2009-06-26 12:01 vboctor Status resolved => closed
+ Issue History